#include<bits/stdc++.h>
using namespace std;
int n,m;
int main(){
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	cin>>n>>m;
	for(int i=1;i<=m;i++) cout<<"1"<<endl; 
	return 0;
}
